Vraag Hoe los ik Flash-problemen op?


Ik heb problemen met Adobe Flash in Ubuntu, wat zijn mijn opties?


29
2017-12-08 15:16


oorsprong




antwoorden:


Zoals je hebt vastgesteld - is de beste oplossing meestal om volg deze Q & A om flits te installeren. Het werkt voor de overgrote meerderheid van gebruikers.


Flash-Aid werd stopgezet door de auteur en is niet bekend als het terug zal zijn, de volgende worden alleen bewaard om historische redenen.


Als alternatief is een van de beste tools die ik heb gevonden om Flash tijdens de installatie correct te configureren de add-on Flash-Aid - gebruik de website van de auteur of zoek op de Firefox-addon-manager voor Flash-Aid

Hiermee worden alle overblijfselen van Flash-installatie verwijderd en wordt Flash direct vanaf de website van Adobe geïnstalleerd. Tijdens de installatie van de wizard hebt u enkele configuratieopties die u kunt proberen om problemen met de flash-speler op te lossen.

enter image description here

enter image description here

enter image description here

enter image description here

enter image description here

Sluiten en herstarten Firefox / opnieuw opstarten om de wijziging door te voeren.

Zie ook:


25
2017-12-08 21:50





Er zijn 2 opties.

Schakel de HTML5-speler in

Voor Youtube kan dit worden gedaan door in te loggen, naar http://www.youtube.com/html5 en het daar mogelijk te maken. Je kunt ook gewoon toevoegen &html5=True achter elke video-URL.

Of uw browser en de versie die u gebruikt HTML5-weergave van een video ondersteunen op een site die een dergelijke optie biedt (zoals YouTube of VKontakte) zal afhangen van de codec gekozen door de site-eigenaren. YouTube en VKontakte (een Facebook-kloonpopuar in Rusland) gebruiken bijvoorbeeld verschillende codecs voor hun HTML5-video's, wat betekent dat in Ubuntu 12.04 HTML5-videoweergave op VK.com werkt in Chromium, maar niet in Firefox (en in de toekomst kunnen deze browsers hun rollen omwisselen).

Installeer de Firefox-plug-in Flash Aid

Ik weet niet zeker of dit ook voor jou zal werken, maar het werkte voor mij.
Installeren Flash-hulp, start Firefox opnieuw en klik op de knop Flash in de rechterbovenhoek van het venster van Firefox. Volg gewoon de instructies in de wizard en het komt goed.

Zie het antwoord van fossfreedom voor meer informatie over het installeren van Flash met Flash Aid: https://askubuntu.com/a/86260/18953


14
2018-02-22 12:32



Dit is een goed advies, maar houd er rekening mee dat alleen video's op YouTube die zijn gecodeerd als WEBM momenteel in HTML5 kunnen worden afgespeeld! - Ronshere


Voor Firefox Flash, probeer eerst dit:

bij problemen na een automatische update.

$ sudo apt-get --reinstall install flashplugin-installer

Dit laat een met Adobe Flash plug-in versie 11.2 ???. ??? in Firefox omdat Adobe geen hogere Flash-versies meer vrijgeeft voor Linux.

Momenteel is de 11.2-reeks van de Adobe Flash-plug-in voor Linux nog steeds onderhouden en beveiligingsupdates druppelen automatisch in.Je zult echter innovaties en verbeteringen van de stroomefficiëntie missen.

Voor het toevoegen van Google Chrome Pepper Flash-plug-in aan Chromium:

$ sudo add-apt-repository --yes ppa:skunk/pepper-flash
$ sudo apt-get update
$ sudo apt-get install pepflashplugin-installer
$ echo '. /usr/lib/pepflashplugin-installer/pepflashplayer.sh' |sudo tee -a /etc/chromium-browser/default

De nieuwste en beste Adobe Flash-versie voor Chrome (versie 12.0 op het moment van schrijven) is geïnstalleerd in Chromium.

Deze oplossing kan ook worden gescript voor eenvoudige installatie op meerdere machines:

#!/bin/bash
sudo add-apt-repository --yes ppa:skunk/pepper-flash
sudo apt-get update
sudo apt-get install pepflashplugin-installer
STRING='. /usr/lib/pepflashplugin-installer/pepflashplayer.sh'
FILE='/etc/chromium-browser/default'
if ! grep -qe "$STRING" $FILE
  then
    echo "$STRING" |sudo tee -a $FILE
fi

In tegenstelling tot Firefox Flash, Pepper Flash wordt niet automatisch bijgewerkt door de updatebeheerder; het vereist een moeizaam handmatig proces. Als u dit vergeet, blijft u blootgesteld aan beveiligingsrisico's.

Hier is er nog een bash script om Pepper Flash handmatig bij te werken, net iets minder omslachtig:

#!/bin/bash
VERSIONS=$(sudo update-pepperflashplugin-nonfree --status)

UPGRADE=$(echo "$VERSIONS" |grep -oE '[^ ]+$' |uniq |wc -l)
UPGRADE=$(($UPGRADE - 1))

if [ $UPGRADE -ne 0 ]
then
    sudo update-pepperflashplugin-nonfree --install
fi

echo "$VERSIONS"

Controleer uw Flash-versie

In het algemeen kan dit worden gedaan op de website van Adobe.

Het volledige verhaal

Hier is het volledige verhaal mooi opgeschreven.


4
2018-02-22 23:52





Ik voer Ubuntu 12.04 64-bit met een Nvidia GeForce 8400 GS.

Ik heb hetzelfde probleem gehad sinds ik een ander Flash-probleem op mijn systeem met betrekking tot Nvidia GPU's had gecorrigeerd - zie Flash-video wordt blauw weergegeven op dit forum. Na de tijdelijke oplossing bij de vorige link stopte het ongewenste gedrag van alle Flash-video's blauw, maar uiteindelijk raakte de Flash-plug-in bijna elke keer dat ik probeerde een video online te bekijken, vast.

De oplossing voor mij was om terug te kijken naar /etc/adobe/mms.cfg en alles behalve één regel te verwijderen, die zou moeten lezen:

OverrideGPUValidation=true

Dit idee en anderen zijn besproken op ubuntuforumsen veel andere plaatsen. Probeer alstublieft uw mms.cfg te veranderen (of het te maken, als het nog niet bestaat) en post terug met uw resultaten. Succes!


1
2017-07-14 20:12





Probeer Flash te installeren door de volgende opdracht in de terminal in te voeren (zorg ervoor dat u eerst alle Firefox-vensters afsluit)

sudo apt-get install adobe-flashplugin

1
2018-01-05 19:58



Ik zou het niet hebben gevraagd als het zo simpel was geweest als dat. - RobinJ
Nou, het kan net zo eenvoudig zijn als sudo apt-get --reinstall install flashplugin-installer. Dit heeft de truc voor mij gedaan op Xubuntu 12.04 LTS na een automatische update naar Firefox 27. - Serge Stroobandt


Wat betreft de HTML5-video-afspeeloptie die beschikbaar is op sommige sites:

Ten eerste bieden niet alle sites HTML5-video's als alternatief voor Flash (hopelijk zullen er meer zijn).

En ten tweede, of uw browser en de versie die u gebruikt HTML5 ondersteunen bij het afspelen van een video op een site die een dergelijke optie biedt (zoals YouTube of VKontakte) zal afhangen van de codec gekozen door de site-eigenaren. YouTube en VKontakte (een Facebook-kloonpopuar in Rusland) gebruiken bijvoorbeeld verschillende codecs voor hun HTML5-video's, wat betekent dat in Ubuntu 12.04 HTML5-videoweergave op VK.com werkt in Chromium, maar niet in Firefox (en in de toekomst kunnen deze browsers hun rollen omwisselen).

En ten derde kunnen sommige video's de HTML5-optie op YouTube niet hebben. (Bijvoorbeeld: https://www.youtube.com/watch?v=3SacL219sic&html5=True.) Maar dankzij het antwoord van Klementine, er is een truc handig om in deze gevallen HTML5-weergave te krijgen - gebruik de "emdedded" -variant. (Voor mijn voorbeeldvideo: https://www.youtube.com/embed/3SacL219sic.) En het werkt!


0
2017-11-17 20:42





Eerst moet je gaan http://get.adobe.com/flashplayer/;

Selecteer vervolgens "APT voor Ubuntu 10.04+".

Er verschijnt een venster waarin u wordt gevraagd om een ​​programma te selecteren om de apt-link te gebruiken: u moet dit naar verwijzen /usr/share/software-center/software-center.

Dit bestand zou een Python-script moeten zijn.

Wanneer het Software Center wordt geopend, schakelt u de bron in die het u vertelt.

Druk vervolgens op de knop Installeren zodra u klaar bent. Mogelijk moet u Firefox opnieuw starten voordat dit werkt, maar zo heb ik het gedaan en het werkte voor mij!


0
2017-12-28 02:30



als je naar get.adobe.com/flashplayer gaat, dan is er een selectie uit de vervolgkeuzelijst met de tekst "APT voor Ubuntu 10.04+". In ieder geval wordt dit voor mij weergegeven. - masulzen
Sorry. Ik ben op 13.04. Het toont alleen tar.gz. en .rpm-bestanden.


Ik heb de Adobe Flash-plug-in in Opera kunnen inschakelen door het volgen van de instructies van deze Russische post.

Laten we beginnen met het installeren van Flash:

  • Installeer PepperFlash via apt: sudo apt-get install pepperflashplugin-nonfree
  • download en pak de Adobe Flash uit: https://www.adobe.com/support/flashplayer/debug_downloads.html
    • pak de "Download de Flash Player-plug-in content debugger (64-bit) - NPAPI"versie (merk op dat als u 32-bits architectuur gebruikt, u de 32-bit-architectuur moet selecteren)
  • Extract: tar xvf <archive_name>
  • Verplaats het bestand libpepflashplayer.so naar /usr/lib/pepperflashplugin-nonfree/
  • Start Opera opnieuw. en je bent klaar.

Ik kan ze nu zien geïnstalleerd:

enter image description here

  • en verder about://plugins

enter image description here


0
2018-02-03 13:56